=== debian/changelog ===
mlpost (0.7.4-1build1) lucid; urgency=low

  * No-change rebuild for OCaml 3.11.2 transition (LP: #529408).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 28 Feb 2010 20:03:02 +0300

mlpost (0.7.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - remove Fix-manpage-double-UTF8-encoding.patch (merged)
    - remove Fix-build-when-ocamlopt-is-missing.patch (merged)
    - add No-tracingchoices-in-generated-MetaPost-sources.patch
      (Closes: #562358)
  * debian/control:
    - update my e-mail address, remove DMUA
    - update Standards-Version to 3.8.3
  * Switch to dh-ocaml 0.9
  * Switch source package format to 3.0 (quilt)
  * Fix watch file

 -- Stéphane Glondu <glondu@debian.org>  Fri, 25 Dec 2009 11:51:05 +0100

mlpost (0.7.1-2) unstable; urgency=low

  * Add a patch to fix FTBFS on bytecode architectures

 -- Stephane Glondu <steph@glondu.net>  Thu, 13 Aug 2009 13:39:54 +0200

mlpost (0.7.1-1) unstable; urgency=low

  * New upstream release:
    - update debian/copyright
    - debian/control:
      + new dependencies: libcairo-ocaml-dev, libbitstring-ocaml-dev
      + new build-deps: camlp4, texlive-*, imagemagick, ghostscript
    - add a patch to fix double UTF8-encoding in manpage:
      + add build-dependency to quilt, and README.source

 -- Stephane Glondu <steph@glondu.net>  Tue, 11 Aug 2009 23:13:03 +0200

mlpost (0.6-3) unstable; urgency=low

  * Add dependency to context (needed for mp-tool.mp)
  * Update Standards-Version to 3.8.2
  * debian/rules: use ocaml.mk as a rules file

 -- Stephane Glondu <steph@glondu.net>  Sat, 27 Jun 2009 20:56:35 +0200

mlpost (0.6-2) unstable; urgency=low

  * First upload to unstable
  * Bump Standards-Version to 3.8.1 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Sun, 22 Mar 2009 14:05:13 +0100

mlpost (0.6-1) experimental; urgency=low

  * Initial release (Closes: #513972)

 -- Stephane Glondu <steph@glondu.net>  Sun, 08 Feb 2009 13:04:13 +0100
