=== debian/control ===
Source: mlpost
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 context,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-metapost,
 ghostscript,
 imagemagick,
 debhelper (>= 7),
 dh-ocaml (>= 0.9~),
 cdbs,
 libcairo-ocaml-dev (>= 20090223-2~),
 libbitstring-ocaml-dev (>= 2.0.0-5~),
 camlp4,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.8.3
Section: tex
Homepage: http://mlpost.lri.fr/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mlpost.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mlpost.git

Package: mlpost
Architecture: any
Depends:
 context,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-metapost,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 xpdf
Suggests:
 ghostscript,
 imagemagick,
 ocaml-findlib
Description: Objective Caml interface to Metapost
 Mlpost is an OCaml library for scientific drawing. It relies on
 Metapost, giving the possibility to include (La)TeX fragments.
 Mlpost users can use the full power of OCaml to generate their
 diagrams, including static typing and the possibility to use any
 OCaml library. Moreover, Mlpost promotes a declarative style quite
 different from existing tools.
 .
 This package contains the library itself, and a command-line tool to
 ease the generation of PostScript or PDF figures directly from .ml
 files.
