=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)/mlpost
PREFIX = $(CURDIR)/debian/tmp/usr
DEB_INSTALL_DIRS_ALL = -Pdebian/tmp
DEB_MAKE_INSTALL_TARGET = install LIBDIR=$(DESTDIR) prefix=$(PREFIX)
DEB_MAKE_BUILD_TARGET = all doc
OCAML_DHOCAML_FLAGS = --runtime-map mlpost

EXAMPLES_TARBALL = debian/examples.tar.gz

pre-build::
	tar -czf $(EXAMPLES_TARBALL) --exclude=parse.ml examples

clean::
	rm -Rf $(EXAMPLES_TARBALL)
