## mlpost 0.8.1

=== customdoc/Makefile ===
img.cmo: img.ml
	ocamlc -I +ocamldoc -c -dtypes img.ml
