=== debian/changelog ===
mlpost (0.8.1-8build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:39:49 +0200

mlpost (0.8.1-8) unstable; urgency=medium

  * Disable configure check that ocamlbuild has the same version as
    ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 19:30:20 +0200

mlpost (0.8.1-7) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Update watch file

  [ Stéphane Glondu ]
  * Add ocamlbuild to Build-Depends
  * Bump debhelper compat to 10
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 17:43:54 +0200

mlpost (0.8.1-6) unstable; urgency=low

  * Team upload.
  * Added build-dependency on texlive-fonts-recommended (closes: #738389)

 -- Ralf Treinen <treinen@debian.org>  Mon, 10 Feb 2014 20:32:35 +0100

mlpost (0.8.1-5) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2013 23:31:12 +0100

mlpost (0.8.1-4) experimental; urgency=low

  * Compile with OCaml >= 4.01
  * debian/patches:
    + Fix for ocamldoc >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2013 10:18:06 +0100

mlpost (0.8.1-3) unstable; urgency=low

  * Team upload.
  * Since context (>= 2012.05.23.20120524-1), mp-tool.mp and mp-spec.mp
    are no longer provided. Instead, context provide .mpii and .mpiv files.
    - add 0005-Fully-qualify-name-of-input-ed-files.patch
    - {build-,}depend on context (>= 2012.05.23.20120524-1~)
    (Closes: #676116, #676127).
  * Use Breaks instead of Conflicts with mlpost (<< 0.8.1).
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 12 Jun 2012 18:12:17 +0200

mlpost (0.8.1-2) unstable; urgency=low

  * Set OCAMLFIND_DESTDIR at configure time, so that the paths compiled
    into the mlpost tool are correct

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 May 2010 17:23:04 +0200

mlpost (0.8.1-1) unstable; urgency=low

  * New upstream release
    - debian/patches:
      + remove 0001-No-tracingchoices-in-generated-MetaPost-sources.patch
      + add 0001-Do-not-remove-ocamlbuild.Makefile.patch
      + add 0002-Create-man-dir-before-installing-into-it.patch
      + add 0003-Fix-hyphen-escapes-in-manpage.patch
      + add 0004-myocamlmacroparser-use-.byte-instead-of-.native.patch
  * New binary packages:
    - libmlpost-ocaml-dev: library files, as per regular OCaml library
      packaging
    - libmlpost-ocaml-doc: architecture-independent documentation, and
      therefore reduce build-dependencies for arch-dep packages
      (Closes: #564779)
    - mlpost: mlpost tool and its manpage
  * Switch debian/rules to dh with overrides, and drop build-dependency to
    cdbs
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 May 2010 22:31:56 +0200
