=== test/othergraphs/Makefile ===
mpost:
	mpost mpost.mp end

mps : mpost
	./convert_to_mps.sh

clean:
	rm -f manual.[0-9]* manual.[0-9] *.mps manual.log manual.mpx
