=== debian/changelog ===
mlpost (0.8.2-2ubuntu1) focal; urgency=medium

  * Disable doc build, as it ftbfs due to insecure image/ps conversion.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Feb 2020 14:09:10 +0000

mlpost (0.8.2-2) unstable; urgency=medium

  * Fix compilation with bitstring 3.1.1 (Closes: #949926)
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Jan 2020 17:21:50 +0100

mlpost (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Fix compilation with OCaml 4.08.1
  * Update debian/watch
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2019 16:08:35 +0100
