=== debian/control ===
Source: mlpost
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libcairo-ocaml-dev,
 libbitstring-ocaml-dev (>= 3),
 ocaml-findlib,
 ocamlbuild,
 cppo,
 ocaml-nox (>= 4.08),
 dh-ocaml
Build-Depends-Indep:
 context,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-metapost,
 ghostscript,
 imagemagick
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: tex
Homepage: http://mlpost.lri.fr/
Vcs-Browser: https://salsa.debian.org/ocaml-team/mlpost
Vcs-Git: https://salsa.debian.org/ocaml-team/mlpost.git

Package: mlpost
Architecture: any
Depends:
 context,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-metapost,
 libmlpost-ocaml-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 xpdf
Suggests:
 ghostscript,
 imagemagick,
 ocaml-findlib
Description: OCaml interface to Metapost (command-line tool)
 Mlpost is an OCaml library for scientific drawing. It relies on
 Metapost, giving the possibility to include (La)TeX fragments.
 Mlpost users can use the full power of OCaml to generate their
 diagrams, including static typing and the possibility to use any
 OCaml library. Moreover, Mlpost promotes a declarative style quite
 different from existing tools.
 .
 This package contains a command-line tool to ease the generation of
 PostScript or PDF figures directly from .ml files.

Package: libmlpost-ocaml-dev
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Suggests:
 context,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-metapost,
 xpdf,
 ghostscript,
 imagemagick
Description: OCaml interface to Metapost (library)
 Mlpost is an OCaml library for scientific drawing. It relies on
 Metapost, giving the possibility to include (La)TeX fragments.
 Mlpost users can use the full power of OCaml to generate their
 diagrams, including static typing and the possibility to use any
 OCaml library. Moreover, Mlpost promotes a declarative style quite
 different from existing tools.
 .
 This package contains the library itself.

#Package: libmlpost-ocaml-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
#Enhances: libmlpost-ocaml-dev
#Description: Objective Caml interface to Metapost (doc)
# Mlpost is an OCaml library for scientific drawing. It relies on
# Metapost, giving the possibility to include (La)TeX fragments.
# Mlpost users can use the full power of OCaml to generate their
# diagrams, including static typing and the possibility to use any
# OCaml library. Moreover, Mlpost promotes a declarative style quite
# different from existing tools.
# .
# This package contains the API reference of the library.
