=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk
PREFIX = $(CURDIR)/debian/tmp

export OCAMLFIND_DESTDIR = $(PREFIX)$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF = ignore

EXAMPLES_TARBALL = debian/examples.tar.gz

%:
	dh $@ --with ocaml

$(EXAMPLES_TARBALL):
	tar -czf $(EXAMPLES_TARBALL) --exclude=parse.ml examples

override_dh_auto_configure: $(EXAMPLES_TARBALL)
	./configure --prefix=$(PREFIX)/usr

override_dh_auto_install:
ifneq (,$(findstring libmlpost-ocaml-doc,$(shell dh_listpackages)))
	$(MAKE) doc
endif
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) install

override_dh_auto_test:

override_dh_missing:
	dh_missing --fail-missing
