=== debian/watch ===
version=3
https://github.com/backtracking/mlpost/releases .*/(?:version-|origin/v)?(\d[\d.]*)\.tar\.gz
