=== debian/changelog ===
mlpost (0.9-4) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:41:12 +0200

mlpost (0.9-3) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Bump standards-version to 4.6.2
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 14:53:38 +0200

mlpost (0.9-2) unstable; urgency=medium

  * Apply upstream patch to upgrade to ppxlib (Closes: #1002984)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jan 2022 06:49:41 +0100

mlpost (0.9-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 03 Dec 2021 16:37:53 +0100

mlpost (0.8.2-4) unstable; urgency=medium

  * Add empty dh_dwz override to fix FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jul 2020 10:43:05 +0200

mlpost (0.8.2-3) unstable; urgency=medium

  * Fix wrong path to mlpost.cma (Closes: #961529)
  * Recompile with new dependencies (Closes: #966346)
  * Bump debhelper compat level to 13
  * libmlpost-ocaml-doc: add Multi-Arch: foreign

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jul 2020 16:13:55 +0200
