=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: mlpost
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- libcairo-ocaml-dev,
+ debhelper-compat (= 13),
+ libcairo2-ocaml-dev,
+ libcairo2-dev,
  libbitstring-ocaml-dev (>= 3),
+ ocaml-dune,
+ libdune-ocaml-dev,
+ libppxlib-ocaml-dev (>= 0.20.0),
  ocaml-findlib,
- ocamlbuild,
- cppo,
- ocaml-nox (>= 4.08),
- dh-ocaml
-Build-Depends-Indep:
+ ocaml,
+ dh-ocaml (>= 1.2),
+ ocaml-odoc,
+ poppler-utils,
+ graphviz,
  context,
  texlive-latex-base,
  texlive-latex-recommended,
+ texlive-latex-extra,
  texlive-fonts-recommended,
  texlive-metapost,
  ghostscript,
  imagemagick
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: tex
 Homepage: http://mlpost.lri.fr/
@@ -39,6 +43,7 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Recommends:
+ libmlpost-ocaml-doc,
  xpdf
 Suggests:
  ghostscript,
@@ -64,6 +69,7 @@
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends:
+ libmlpost-ocaml-doc,
  ocaml-findlib
 Suggests:
  context,
@@ -83,17 +89,18 @@
  .
  This package contains the library itself.
 
-#Package: libmlpost-ocaml-doc
-#Section: doc
-#Architecture: all
-#Depends: ${misc:Depends}
-#Enhances: libmlpost-ocaml-dev
-#Description: Objective Caml interface to Metapost (doc)
-# Mlpost is an OCaml library for scientific drawing. It relies on
-# Metapost, giving the possibility to include (La)TeX fragments.
-# Mlpost users can use the full power of OCaml to generate their
-# diagrams, including static typing and the possibility to use any
-# OCaml library. Moreover, Mlpost promotes a declarative style quite
-# different from existing tools.
-# .
-# This package contains the API reference of the library.
+Package: libmlpost-ocaml-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Enhances: libmlpost-ocaml-dev
+Description: Objective Caml interface to Metapost (doc)
+ Mlpost is an OCaml library for scientific drawing. It relies on
+ Metapost, giving the possibility to include (La)TeX fragments.
+ Mlpost users can use the full power of OCaml to generate their
+ diagrams, including static typing and the possibility to use any
+ OCaml library. Moreover, Mlpost promotes a declarative style quite
+ different from existing tools.
+ .
+ This package contains the API reference of the library.
